Skip to main content
GET
/
conversations
/
locations
/
{locationId}
/
messages
/
{messageId}
/
transcription
Get transcription by Message ID
curl --request GET \
  --url https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "mediaChannel": "1",
  "sentenceIndex": "1",
  "startTime": "34",
  "endTime": "45",
  "transcript": "This call may be recorded for quality assurance purposes.",
  "confidence": "0.5"
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

locationId
string
required

Location ID as string

Example:

"tDtDnQdgm2LXpyiqYvZ6"

messageId
string
required

Message ID as string

Example:

"tDtDnQdgm2LXpyiqYvZ6"

Response

Gives the attached recording transcription to the message

mediaChannel
number
required

Media channel describes the user interaction channel

Example:

"1"

sentenceIndex
number
required

Index of the sentence in the transcription

Example:

"1"

startTime
number
required

Start time of the sentence in milliseconds

Example:

"34"

endTime
number
required

End time of the sentence in milliseconds

Example:

"45"

transcript
string
required

Transcript of the sentence

Example:

"This call may be recorded for quality assurance purposes."

confidence
number
required

Confidence of the transcription

Example:

"0.5"

Last modified on March 4, 2026